#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    int n;
    cin >> n;
    int k=0;
    int ossz =0;
    for(int i=0;i<n;i+=2){
        cout << 2*n-k << ' ' << 1+k << ' ';
        k++;
    }
    cout << endl;
    for(int i=0;i<n;i+=2){
        cout << 2*n-k << ' ' << 1+k << ' ';
        k++;
    }
    return 0;
}